IMPORTANT: Build errors when upgrading from RadChart to "Prometheus"

Thread is closed for posting
1 posts, 0 answers
  1. Telerik Admin
    Telerik Admin avatar
    1572 posts
    Member since:
    Oct 2004

    Posted 02 Oct 2007 Link to this post

    When upgrading existing telerik RadControls applications (which include RadChart) to RadControls "Prometheus" you might get the following error:

    Error 1 The type 'Telerik.Charting.<SomeType> exists in both 'c:\WINDOWS\assembly\GAC_MSIL\Telerik.Charting\...\Telerik.Charting.dll' and 'c:\WINDOWS\Microsoft.NET\Framework\v2.0.50727\Temporary ASP.NET Files\...\RadChart.Net2.DLL'

    The reason for this error is because RadChart (3.x and later) and RadControls "Prometheus" Chart use shared code. The shared code is in the form of Telerik.Charting.dll assembly which is ILMerged in the RadChart.Net2.dll for backwards compatibility reasons and is shipped separately for RadControls "Prometheus".

    The error will manifest itself whenever you attempt to reference BOTH RadChart.Net2.dll and Telerik.Charting.dll. There are two ways to resolve the issue:

    1) If you are migrating your projects to use RadControls "Prometheus" you may initially want to remove the reference to the Telerik.Charting.dll from your Web.config file. In this case you will be using the old ASP.NET Chart and will not need the Telerik.Charting.dll that comes with the Prometheus suite. The Telerik.Charting.dll is NOT required for the operation of the "Prometheus" controls other than Chart.

    2) If you are already using RadChart "Prometheus" then you will need to remove reference to RadChart.Net2.dll and continue using Telerik.Charting.dll

    Please have in mind that RadChart "Prometheus" and RadChart 4.x have 99% identical functionality. It is up to your personal preference to decide which one you would like to use. The most significant difference is the assembly name and the fact that RadChart "Prometheus" uses an HttpHandler to display images and RadChart 4.x still uses RadControls\Image.aspx for backwards compatibility reasons.

    We hope this will clear things up for those of you trying to upgrade.

    The telerik team
Back to Top